Проникающая гидроизоляция бетона
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Как построить среднюю линию между непараллельными?

Как построить среднюю линию между непараллельными?

Ответ
Поиск в этой теме
Непрочитано 18.09.2003, 05:42 #1
Как построить среднюю линию между непараллельными?
vigold
 
Сообщений: n/a

Страна, помогите! Каким образом между двумя непараллельными полилиниями для своих шкурных расчётов построить точно посередине между ними залегающую среднюю полилинию? Это две непараллельные обязательно сглаженные полилинии. Таково требование при подсчете запасов полезного ископаемого.
Двумя этими линиями указывается скажем выход пласта полезного ископаемого под наносы. Но подсчет запасов я обязан вести по средней линии между двумя этими границами. И, естественно, этих моментов довольно много, чтобы врукопашную выбирать среднюю точку. Из-за этого возникла эта проблема. Заранее благодарен.
Просмотров: 21153
 
Непрочитано 18.09.2003, 08:25
#2
Startrek

AutoCAD/AutoLISP
 
Регистрация: 27.08.2003
Seattle/USA
Сообщений: 1,133


esli pravil'no ponjal sm kartinku
[ATTACH]1063859134.gif[/ATTACH]
Startrek вне форума  
 
Непрочитано 18.09.2003, 13:17
#3
Arkady

AutoCad Development and Support
 
Регистрация: 21.08.2003
Israel
Сообщений: 183
Отправить сообщение для Arkady с помощью Skype™


Я так понимаю ,что эти две поллилинии - это профиля разрезов?
Единственное что приходит в голову если это конечно профиля)
взять одну из полилинйй за базу, искать с определенным шагом расстояния по вертикали до другой линии ,и построить по ним результирующую(без сглаживания).Если идти с достаточно мелким шагом то результат будет приемлимым.
Arkady вне форума  
 
Непрочитано 18.10.2006, 14:59 средняя линия между двумя непараллельными линиями
#4
bimari

проектирование дорог
 
Регистрация: 18.10.2006
Riga
Сообщений: 25


Действительно ребята, очень нужен лисп! Так надоело выполнять однообразную работу, тратя по пол дня на такую мутоту! Помогите! На предыдущей картинке правильно нарисовано, только ещё необходимо, чтобы это было применимо к кривым! Заранее спасибо!
bimari вне форума  
 
Непрочитано 18.10.2006, 16:22
#5
Огурец

Profan
 
Регистрация: 27.04.2005
Москва
Сообщений: 6,666
Отправить сообщение для Огурец с помощью Skype™


Xline c параметром B (бисектрисса), затем trim и pedit...
Огурец вне форума  
 
Непрочитано 18.10.2006, 17:37
#6
forMA


 
Регистрация: 25.08.2005
Сообщений: 2,558


Может сгодится:

Код:
[Выделить все]
;;----------------------------------------------------
;;  Функция для построения биссектрисы двух отрезков
;;  Отрезки могут быть параллельны, пересекаться или
;;  пересекаться их продолжение.
;;  Если отрезки не будут лежать в одной плоскости -
;;  результат работы не определен.
;;----------------------------------------------------
(defun C:BI_LINE ( / en1 en2 e1 e2 p1 p2 p11 p12 p21 p22 tmp 
d1 d2 _bm)
    (setvar "CMDECHO" 0)
    (setq en1 (car (entsel "\nВыберите первый отрезок: ")))
    (if en1 (redraw en1 3))
    (setq en2 (car (entsel "\nВыберите второй отрезок: ")))
    (if en2 (redraw en2 3))
    (setq _bm (getvar "BLIPMODE")) (setvar "BLIPMODE" 0)
    (if (and en1 en2 (setq e1 (entget en1)) (setq e2 (entget en2))
             (= "LINE" (cdr (assoc 0 e1))) (= "LINE" (cdr (assoc 0 e2))))
     (progn
      (setq p11 (cdr (assoc 10 e1)) p12 (cdr (assoc 11 e1))
            p21 (cdr (assoc 10 e2)) p22 (cdr (assoc 11 e2)))
      (if (> (+ (distance p11 p21) (distance p12 p22))
             (+ (distance p11 p22) (distance p12 p21))) (progn
          ; Меняем местами начало и конец второго отрезка
          (setq tmp (list p21 p22) p21 (cadr tmp) p22 (car tmp))
      ))
      (cond
        ;; Отрезки сами пересекаются
        ((setq p1 (inters p11 p12 p21 p22 T))
          (setq d1 (max (distance p1 p11) (distance p1 p21)))
          (setq d2 (max (distance p1 p12) (distance p1 p22)))
          (setq p11 (polar p1 (angle p1 p11) d1))
          (setq p12 (polar p1 (angle p1 p12) d2))
          (setq p21 (polar p1 (angle p1 p21) d1))
          (setq p22 (polar p1 (angle p1 p22) d2))
        )
        ;; Пересекаются прямые, на которых лежат отрезки
        ((setq p1 (inters p11 p12 p21 p22 nil))
          (if (> (distance p1 p11) (distance p1 p12)) (progn
             (setq tmp (list p11 p12) p11 (cadr tmp) p12 (car tmp))
             (setq tmp (list p21 p22) p21 (cadr tmp) p22 (car tmp))
          )) ;; (if (progn
          (setq d1 (min (distance p1 p11) (distance p1 p21)))
          (setq d2 (max (distance p1 p12) (distance p1 p22)))
          (setq p11 (polar p1 (angle p1 p11) d1))
          (setq p12 (polar p1 (angle p1 p12) d2))
          (setq p21 (polar p1 (angle p1 p21) d1))
          (setq p22 (polar p1 (angle p1 p22) d2))
        )
      ) ;; (cond
      (setq p1 (mapcar '* '(0.5 0.5 0.5) (mapcar '+ p11 p21)))
      (setq p2 (mapcar '* '(0.5 0.5 0.5) (mapcar '+ p12 p22)))
      (command "_.LINE" "_none" (trans p1 0 1)
                        "_none" (trans p2 0 1) "")
     )
     (progn
       (princ "\nЧто-то не выбрано, или выбрано что-то не то!")
     )
    )
    (setvar "BLIPMODE" _bm)
    (if en1 (redraw en1 4))
    (if en2 (redraw en2 4))
    (princ)
)
Выкладываю без разрешения автора. Но, мыслю он не будет в претензии Главное, чтоб польза была
__________________
Смысл существования AutoCAD-а в самом существовании AutoCAD-а.
forMA вне форума  
 
Непрочитано 18.10.2006, 17:54
#7
Румын

металлист
 
Регистрация: 13.03.2006
Питер
Сообщений: 463


В составе СПДСграфикс есть команда средняя линия, и она работает как с прямыми, так и с дугами НО при наличии у дуг общего центра (что понятно - в противном случае получается уже кривая второго порядка, для которой и вычисления совсем другие и точного отображения в автогаде добиться не очень-то, даже при помощи сплайна)
__________________
(с) Чем шут не чертит
Румын вне форума  
 
Непрочитано 18.10.2006, 20:59
#8
Vlad®

розмысл
 
Регистрация: 12.06.2005
Иркутск
Сообщений: 1,968
<phrase 1=


и как всегда, для Комапаса этот вопрос просто не существует.
Vlad® вне форума  
 
Непрочитано 18.10.2006, 21:27
#9
DEM

YngIngKllr
 
Регистрация: 29.03.2005
СПб
Сообщений: 12,789


Не думаю чтобы стандартными методами Компас сможет это решить.
Вы наверное не до конца прочли.
Т.к. требуется сделать еще одну полилинию между двумя криволинейными (в смысле они продолжительные с множеством изгибов).
__________________
Шаг 12й......
Мои публикации
DEM на форуме  
 
Непрочитано 19.10.2006, 15:16
#10
bimari

проектирование дорог
 
Регистрация: 18.10.2006
Riga
Сообщений: 25


Лисп BI_LINE отлично работает, НО только для отрезков, а мне очень нужно для полилинии, причем эти плинии не пересекаются, что облегчает наверняка написание проги, пожалуйста помогите.
Вот примерно, что мне надо...
[ATTACH]1161256558.dwg[/ATTACH]
bimari вне форума  
 
Непрочитано 19.10.2006, 16:23
#11
Vlad®

розмысл
 
Регистрация: 12.06.2005
Иркутск
Сообщений: 1,968
<phrase 1=


Если задача эта разовая - для построения графика нужно построить одну кривую между двух других, то можно решить ее функцией Blend в Кореле или им подобных. Может это и не спортивно, зато эффективно. Пробовал. Получилось

------------------------------------
на каждого мудреца довольно просторы©
Vlad® вне форума  
 
Непрочитано 19.10.2006, 16:28
#12
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,760


Что-то никто не вспомнил про привязку _m2p...
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 19.10.2006, 16:28
#13
bimari

проектирование дорог
 
Регистрация: 18.10.2006
Riga
Сообщений: 25


К сожалению задача не разовая, а многократная, необходимая для построения горизонтальной разметки дорог в местах уширения дороги (где обочины дороги не параллельные). Пыталась строить в ручную, но ужасно припекло! Представье если трасса с пару десятков километров :?
bimari вне форума  
 
Непрочитано 19.10.2006, 17:58
#14
Zouss


 
Регистрация: 14.03.2006
Сообщений: 863


файлик с примером приложите - есть определенные соображения, хочется отладить на вашем типичном чертеже
Zouss вне форума  
 
Непрочитано 19.10.2006, 18:47
#15
bimari

проектирование дорог
 
Регистрация: 18.10.2006
Riga
Сообщений: 25


Вот наглядный пример того, что мне надо получить в конце. Строила вручную...
[ATTACH]1161269279.dwg[/ATTACH]
bimari вне форума  
 
Непрочитано 19.10.2006, 19:02
1 | #16
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,801
<phrase 1= Отправить сообщение для VVA с помощью Skype™


Пробуй
Код:
[Выделить все]
;Middle PolyLine (MPL)
(defun C:MPL ( / en1 en2 e1 e2 p1 p2 p11 p12 p21 p22 tmp rev dL1 dpar1 dpar2 SP1 SP2 lst1 lst2 lstc i *error*)
  (defun *error* (msg)
  (if en1 (redraw en1 4))(if en2 (redraw en2 4))
    (vla-EndUndoMark (vla-get-activedocument (vlax-get-acad-object))))
  (vl-load-com)
  (vla-StartUndoMark (vla-get-activedocument (vlax-get-acad-object)))
  (setvar "CMDECHO" 0) 
  (setq en1 (car (entsel "\nВыберите первую границу: "))) 
  (if en1 (redraw en1 3)) 
  (setq en2 (car (entsel "\nВыберите вторую границу: "))) 
  (if en2 (redraw en2 3))
   (if (and en1 en2 (setq e1 (entget en1)) (setq e2 (entget en2)) 
            (wcmatch (cdr (assoc 0 e1)) "*LINE,ARC")
	    (wcmatch  (cdr (assoc 0 e2)) "*LINE,ARC")) 
     (progn
      (setq curv1 (vlax-ename->vla-object en1)
	    curv2 (vlax-ename->vla-object en2)
	     p11  (vlax-curve-getStartPoint curv1)
	     p12  (vlax-curve-getEndPoint curv1)
	     p21  (vlax-curve-getStartPoint curv2)
	     p22  (vlax-curve-getEndPoint curv2)
	    )
      (if (> (+ (distance p11 p21) (distance p12 p22)) 
             (+ (distance p11 p22) (distance p12 p21)))
	(setq rev t)(setq rev nil))
      (initget 6)
      (setq dL1 (if (setq tmp (getint "\nКоличество опорных точек <100>: ")) tmp 100))
      (setq p1 (vlax-curve-getDistAtParam curv1 (vlax-curve-getEndParam curv1));_Длинна 1
	    p2 (vlax-curve-getDistAtParam curv2 (vlax-curve-getEndParam curv2));_Длинна 2
;;	   tmp (1+(fix (/ p1 dL1)));_Кол-во точек
	   tmp dL1
	   dpar1 (/ (- (vlax-curve-getEndParam curv1)(vlax-curve-getStartParam curv1)) tmp)
	   dpar2 (/ (- (vlax-curve-getEndParam curv2)(vlax-curve-getStartParam curv2)) tmp)
      SP1 (vlax-curve-getStartParam curv1)
      SP2 (vlax-curve-getStartParam curv2) 	    
	     i 0)
       (setq lst1 nil i 0 lst2 nil)
       (while (and (< (setq par1 (+ SP1 (* i dpar1)))(vlax-curve-getEndParam curv1))
		   (< (setq par2 (+ SP2 (* i dpar2)))(vlax-curve-getEndParam curv2)))
	(setq lst1 (append lst1 (list par1))
	      lst2 (append lst2 (list par2))
	      i (1+ i)))
       (setq lst1 (append lst1 (list (vlax-curve-getEndParam curv1))))
       (setq lst2 (append lst2 (list (vlax-curve-getEndParam curv2))))
       (if rev (setq lst2 (reverse lst2)))(setq lstc nil)
       (mapcar '(lambda (pr1 pr2)
	 (setq p1 (vlax-curve-getPointAtParam curv1 pr1))
	 (setq p2 (vlax-curve-getPointAtParam curv2 pr2))
	 (if (and p1 p2)(progn
	 (setq ptc (polar p1 (angle p1 p2)(* 0.5 (distance p1 p2))))
	 (setq lstc (append lstc (list ptc)))
;	 (vl-cmdf "_.LINE" p1 p2 "")
	  ))) lst1 lst2)
      (vl-cmdf "_.PLINE" (car lstc) "_W" 0 0)
      (foreach pt (cdr lstc)(vl-cmdf pt))(vl-cmdf "")))
     (if en1 (redraw en1 4))(if en2 (redraw en2 4))
     (vla-EndUndoMark (vla-get-activedocument (vlax-get-acad-object)))  
     (princ)
     )
  (princ "\nНаберите в командной строке MPL")
1. В качестве границ допускается выбирать все POLYLINE, SPLINE, ARC, LINE
2. UCS не обрабатывается
3. Пересечения кривых не анализируются
4. Количество опорных точек - на сколько частей разбивается кривая для получения средней линии
VVA вне форума  
 
Непрочитано 19.10.2006, 19:26
#17
bimari

проектирование дорог
 
Регистрация: 18.10.2006
Riga
Сообщений: 25


ОГРОМНОЕ ЧЕЛОВЕЧЕСКОЕ СПАСИБО!!!!!! ДЕЙСТВИТЕЛЬНО РАБОТАЕТ!!!!!! ЭТО ИМЕННО ТО, ЧТО МНЕ НАДО!!!!
bimari вне форума  
 
Непрочитано 20.10.2006, 06:15
#18
Лентяй

Project Engineer
 
Регистрация: 05.01.2005
Лос Анджелес
Сообщений: 1,151


Ну не могу я сидеть спокойно, когда VVA такие простыни катает ! Хоть уже и поздно, но все-таки держите прогу.
Код:
[Выделить все]
(defun C:MPL ( / adoc util crv1 crv2 crvs csp eps dL n prs pts npt npts)
  (vl-load-com)
  (setq adoc (vla-get-activedocument (vlax-get-acad-object))
	util (vla-get-utility adoc))  
  (vla-StartUndoMark adoc) 
  (setvar "CMDECHO" 0) 
  (mapcar '(lambda (x y) (vla-getEntity util x nil (strcat "\nВыберите " y " границу: "))) '(crv1 crv2) '("первую" "вторую"))
  (setq crvs (list crv1 crv2)
	csp (vla-ObjectIDToObject adoc (vla-get-OwnerID crv1)))
  (if (apply 'and (mapcar 'null crvs)) (alert "Недобор!!!") (progn
      (if (apply 'and (mapcar '(lambda (x) (wcmatch (vla-get-ObjectName x) "*Line,Arc")) crvs))
	(progn (setq eps (mapcar 'vlax-curve-getEndParam crvs))
	  (vla-InitializeUserInput util 6)
	  (setq dl (if (vl-catch-all-error-p (vl-catch-all-apply '(lambda ()
			(setq dl (vla-getInteger util "\nКоличество опорных точек <100>: "))))) 100 dl) n 0)
	  (while (< n dl)
	    (setq prs (mapcar '(lambda (x) (* (/ x dl) n)) eps)
		  pts (mapcar '(lambda (x y) (vlax-curve-getPointAtParam x y)) crvs prs)
		  npt (reverse (cdr (reverse (mapcar '(lambda (x y) (/ (+ x y) 2)) (car pts) (cadr pts)))))
		  npts (append npt npts)
		  n (1+ n)));while
	  (setq nts (vla-TranslateCoordinates util (vlax-3d-point '(0.0 0.0 0.0)) acUCS acOCS :vlax-false)
	  (vla-AddLightweightPolyline csp (vlax-make-variant (vlax-safearray-fill (vlax-make-safearray vlax-vbdouble (cons 0 (1- (length npts)))) npts)
				 )));progn
	(alert "Не то выбрано")))));if
  (vla-EndUndoMark (vla-get-activedocument (vlax-get-acad-object)))
  (princ)
);end
(princ "\nНаберите в командной строке MPL")
Лентяй вне форума  
 
Непрочитано 20.10.2006, 08:33
#19
PSW


 
Регистрация: 12.01.2006
Донецк
Сообщений: 30


Попробуй вот это
Указываешь две полилинии и кол-во точек разбиения.
Вызов:
Command: PSW
;******************************************************************
; AutoCAD 2000-2007
; Автор : Пурошев Сергей
; Донецкий центр союза архитекторов Украины "Среда"
; E-mail psw@asc.inep.net
;******************************************************************

;************************************************************************
; Функция возвращает: Точку середины отрезка Т1 Т2
; Параметр - точки Т1 Т2
;************************************************************************
(defun SEREDINA (TE1 TE2 / AA)
(setq DX (/ (+ (car TE1) (car TE2)) 2.0))
(setq DY (/ (+ (cadr TE1) (cadr TE2)) 2.0))
(setq DZ 0.0)
(if (and (/= (caddr TE1) NIL) (/= (caddr TE2) NIL))
(progn
(setq DZ (/ (+ (caddr TE1) (caddr TE2)) 2.0))
)
)
(setq AA (list DX DY DZ))
) ;END DEFUN

;*****************************************************************
; ОСНОВНАЯ ПРОГРАММА
; ОСНОВНАЯ ПРОГРАММА
; ОСНОВНАЯ ПРОГРАММА
;****************************************************************
(defun C:PSW (/ DX ED EN I LABEL N OB OB1 SL SSS SSS1 T0 T00 T1 T11 T12 T21 T22)

(prompt "\nВыбери полилинию 1: ")
(setq ob (car (entsel)))
(prompt "\nВыбери полилинию 2: ")
(setq ob1 (car (entsel)))

(setq dx (GetInt "\nКоличество участков разбиения : "))
;****************************************
(setq en (entget Ob))
(setq sl (cdr (assoc 8 en)))
(setvar "CLAYER" sl)
;***************************************
(setq sss nil)
(setq sss (ssadd)) ; создать набор
(setq label (entlast)) ; поставить метку в DWG
;****************************************
(setvar "CECOLOR" "ByLayer")
;****************************************
(command "_divide" ob dx)
;**************************************
(while ; переписать в набор
(setq label (entnext label))
(setq sss (ssadd label sss))
)
;****************************************
;****************************************
;****************************************
;****************************************
(setq en (entget Ob1))
(setq sl (cdr (assoc 8 en)))
(setvar "CLAYER" sl)
;***************************************
(setq sss1 nil)
(setq sss1 (ssadd)) ; создать набор
(setq label (entlast)) ; поставить метку в DWG
;****************************************
(setvar "CECOLOR" "ByLayer")
;****************************************
(command "_divide" ob1 dx)
;**************************************
(while ; переписать в набор
(setq label (entnext label))
(setq sss1 (ssadd label sss1))
)
;****************************************
;****************************************
(setq n (sslength sss))
(setq i (- n 1))
(setq i 0)
(setq en (ssname sss i))
(setq ed (entget en))
(setq t11 (cdr (assoc 10 ed)))

(setq en (ssname sss1 i))
(setq ed (entget en))
(setq t12 (cdr (assoc 10 ed)))
(setq T0 (seredina T11 T12))
(command "PLINE" T0)
(setq i 1)
;****************************************
(repeat (- n 1)
(setq en (ssname sss i))
(setq ed (entget en))
(setq t11 (cdr (assoc 10 ed)))

(setq en (ssname sss1 i))
(setq ed (entget en))
(setq t12 (cdr (assoc 10 ed)))
(setq T0 (seredina T11 T12))
(command t0 )


(setq t00 t1)
(setq i (+ i 1))
)
;****************************************
(command "")
;(command "LINE" t11 t1 "")
;***************************************
;(entdel ob)
(command "ERase" sss "")
(command "ERase" sss1 "")
;***************************************
(SetVar "FILEDIA" 1) (princ)
)
PSW вне форума  
 
Непрочитано 20.10.2006, 15:48
#20
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,801
<phrase 1= Отправить сообщение для VVA с помощью Skype™


>Лентяй Это не простыни, а муки творчества
Вот причесанный вариант
Код:
[Выделить все]
;Middle PolyLine (MPL)
(defun C:MPL ( / adoc *error* crvs eps dL pts pt1 pt2 ptc n osm)
(defun *error* (msg)(vla-Regen adoc acActiveViewport)(vla-EndUndoMark adoc)
(setvar "OSMODE" osm))
(vl-load-com)(setq osm (getvar "OSMODE"))
(setq adoc (vla-get-activedocument (vlax-get-acad-object)))
(vla-StartUndoMark adoc)(setvar "CMDECHO" 0)
(setq crvs (mapcar '(lambda (y / en)(setq en(car(entsel (strcat "\nВыберите " y " границу: "))))
(if en (redraw en 3)) en) '("первую" "вторую")))
(if (vl-some 'null crvs)(alert "Недобор!!!")
(progn (mapcar '(lambda(x)(redraw x 4)) crvs)
  (setq crvs (mapcar 'vlax-ename->vla-object crvs))
  (if (apply 'and (mapcar '(lambda (x) (wcmatch (strcase(vla-get-ObjectName x)) "*LINE,ARC")) crvs))
  (progn
    (setq eps (mapcar '(lambda (x)(- (vlax-curve-getEndParam x)(vlax-curve-getStartParam x))) crvs))
    (initget 6)(setq dL (if (setq dL (getint "\nКоличество опорных точек <100>: ")) dL 100))
    (setq pts (mapcar '(lambda (dp crv / sps pr)(setq n 0)(while (< n dl)
       (setq pr (* (/ dp dl) n) pt (vlax-curve-getPointAtParam crv pr)
       sps (append sps (list pt)) n (1+ n))) sps) eps crvs))
    (setq pts (mapcar '(lambda (pt pr crv)(append pt (list(vlax-curve-getPointAtParam crv pr)))) pts eps crvs))
    (setq pts (mapcar '(lambda (crv pt )(vl-sort pt '(lambda (t1 t2)
      (< (vlax-curve-getDistAtParam crv (vlax-curve-getParamAtPoint crv t1))
         (vlax-curve-getDistAtParam crv (vlax-curve-getParamAtPoint crv t2))))))
    crvs pts))(setq pts (mapcar '(lambda(x)(mapcar '(lambda(y)(trans y 0 1)) x)) pts))
(setq pt1 (car pts) pt2 (cadr pts))
(if (> (+ (distance (car pt1)(car pt2))(distance (last pt1)(last pt2)))
       (+ (distance (car pt1)(last pt2))(distance (last pt1)(car pt2))))
(setq pt2 (reverse pt2)))
(setq ptc (mapcar '(lambda(t1 t2)(polar t1 (angle t1 t2)(* 0.5 (distance t1 t2)))) pt1 pt2))
(setvar "OSMODE" 0)(vl-cmdf "_.PLINE" (car ptc) "_W" 0 0)
(foreach pt (cdr ptc)(vl-cmdf pt))(vl-cmdf "")))));_if apply
(setvar "OSMODE" osm)(vla-EndUndoMark adoc)(princ));_defun
(princ "\nНаберите в командной строке MPL")
1. В качестве границ допускается выбирать все POLYLINE, SPLINE, ARC, LINE
2. UCS обрабатывается !!
3. Пересечения кривых не анализируются
4. Количество опорных точек - на сколько частей разбивается кривая для получения средней линии

===== Добавлено =======
Совсем забыл про OSMODE. Теперь вспомнил
VVA вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Как построить среднюю линию между непараллельными?

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Как построить следующее тело?... Shtirlitz AutoCAD 15 10.06.2013 13:09
Как из trace сделать обычную линию? Нюра AutoCAD 1 06.09.2004 17:10
Подскажите как построить кривую с помощью команды SPLiNE, к boban Программирование 1 02.11.2003 19:58
Как на LISPе автоматически выбрать линию и точку? Mikhail LISP 4 28.10.2003 10:33